Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class MessageDrivenInstanceInterceptor

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.MessageDrivenInstanceInterceptor

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class MessageDrivenInstanceInterceptor
extends AbstractInterceptor

This container acquires an MDB instance and context.

Version:
  $Revision: 1.3.6.2 $
Author:
  Peter Antman., Rickard Öberg, Jason Dillon, Scott Stark

Field Summary
`protected MessageDrivenContainer` | `container` The container for this interceptor.

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`MessageDrivenInstanceInterceptor()`

Method Summary
`Container` | `getContainer()` Return the container for this interceptor.
`java.lang.Object` | `invoke(MethodInvocation mi)`
`java.lang.Object` | `invokeHome(MethodInvocation mi)` Message driven beans do not have homes.
`void` | `resetStatistic()`
`java.util.Map` | `retrieveStatistic()`
`void` | `sample(java.lang.Object s)`
`void` | `setContainer(Container container)` Set the container for this interceptor.

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, init, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected MessageDrivenContainer container

  The container for this interceptor.

Constructor Detail

### MessageDrivenInstanceInterceptor

    public MessageDrivenInstanceInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Set the container for this interceptor.
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Parameters:
    `container` - A `MessageDrivenContainer`.
  Throws:
    `java.lang.ClassCastException` - Not a `MessageDrivenContainer`.

### getContainer

    public Container getContainer()

  Return the container for this interceptor.
  Overrides:
    `getContainer` in class `AbstractInterceptor`
  Returns:
    The `MessageDrivenContainer` for this interceptor.

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Message driven beans do not have homes.
  Overrides:
    `invokeHome` in class `AbstractInterceptor`
  Throws:
    `java.lang.Error` - Not valid for MessageDriven beans.

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  Overrides:
    `invoke` in class `AbstractInterceptor`

### sample

    public void sample(java.lang.Object s)

### retrieveStatistic

    public java.util.Map retrieveStatistic()

### resetStatistic

    public void resetStatistic()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.